# Class SAS9ApiClient

A client for interfacing with the SAS9 REST API.

### Hierarchy

- SAS9ApiClient

### Constructors

- constructor

### Methods

- executeScript
- getConfig
- setConfig

## Constructors

### constructor

- new SAS9ApiClient(serverUrl: string): SAS9ApiClient

- - Defined in src/SAS9ApiClient.ts:9

  #### Parameters

  - ##### serverUrl: string

  #### Returns SAS9ApiClient

## Methods

### executeScript

- executeScript(linesOfCode: string[], serverName: string, repositoryName: string): Promise<any>

- - Defined in src/SAS9ApiClient.ts:39

  Executes code on a SAS9 server.

  #### Parameters

  - ##### linesOfCode: string[]

    an array of code lines to execute.

  - ##### serverName: string

    the server to execute the code on.

  - ##### repositoryName: string

    the repository to execute the code in.

  #### Returns Promise<any>

### getConfig

- getConfig(): object

- - Defined in src/SAS9ApiClient.ts:19

  Returns an object containing server URL.

  #### Returns object

  - ##### serverUrl: string

### setConfig

- setConfig(serverUrl: string): void

- - Defined in src/SAS9ApiClient.ts:29

  Updates server URL which is not null.

  #### Parameters

  - ##### serverUrl: string

    URL of the server to be set.

  #### Returns void

Generated using TypeDoc